package com.steering.pss.plnsaleord.order.model;

/**
 * 数据库表SLM_WELL_USE_LIST所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-DG6B81Q   date 2016-01-06
 */
@SuppressWarnings("serial")
public class SlmWellUseListEntity implements java.io.Serializable {
    /**
     * 产能井代码
     */
    private String wellCode = "";
    /**
     * 产能井描述
     */
    private String wellName = "";
    /**
     * 年度
     */
    private String wellYear = "";
    /**
     * 耗用月度
     */
    private String useMonth = "";
    /**
     * 耗用编号(YY+MM+六位流水号)
     */
    private String useCode = "";
    /**
     * 销售组织(国贸/钢贸/销售公司)
     */
    private String saleOrg = "";
    /**
     * 销售组织描述
     */
    private String saleOrgDesc = "";
    /**
     * ORD_LN_DLY_PK
     */
    private String ordLnDlyPk = "";
    /**
     * 耗用对象(0虚拟占用;1正式占用)
     */
    private String useObj = "";
    /**
     * 耗用方式(-消耗/+释放)
     */
    private String useType = "";
    /**
     * 耗用量(消耗为正数;释放为负数)
     */
    private String useWgt = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";

    /**
     * 产能井代码
     * @return value
     */
    public String getWellCode() {
        return wellCode;
    }

    /**
     * 产能井代码
     * @param wellCode value
     */
    public void setWellCode(String wellCode) {
        this.wellCode = wellCode;
    }

    /**
     * 产能井描述
     * @return value
     */
    public String getWellName() {
        return wellName;
    }

    /**
     * 产能井描述
     * @param wellName value
     */
    public void setWellName(String wellName) {
        this.wellName = wellName;
    }

    /**
     * 年度
     * @return value
     */
    public String getWellYear() {
        return wellYear;
    }

    /**
     * 年度
     * @param wellYear value
     */
    public void setWellYear(String wellYear) {
        this.wellYear = wellYear;
    }

    /**
     * 耗用月度
     * @return value
     */
    public String getUseMonth() {
        return useMonth;
    }

    /**
     * 耗用月度
     * @param useMonth value
     */
    public void setUseMonth(String useMonth) {
        this.useMonth = useMonth;
    }

    /**
     * 耗用编号(YY+MM+六位流水号)
     * @return value
     */
    public String getUseCode() {
        return useCode;
    }

    /**
     * 耗用编号(YY+MM+六位流水号)
     * @param useCode value
     */
    public void setUseCode(String useCode) {
        this.useCode = useCode;
    }

    /**
     * 销售组织(国贸/钢贸/销售公司)
     * @return value
     */
    public String getSaleOrg() {
        return saleOrg;
    }

    /**
     * 销售组织(国贸/钢贸/销售公司)
     * @param saleOrg value
     */
    public void setSaleOrg(String saleOrg) {
        this.saleOrg = saleOrg;
    }

    /**
     * 销售组织描述
     * @return value
     */
    public String getSaleOrgDesc() {
        return saleOrgDesc;
    }

    /**
     * 销售组织描述
     * @param saleOrgDesc value
     */
    public void setSaleOrgDesc(String saleOrgDesc) {
        this.saleOrgDesc = saleOrgDesc;
    }

    /**
     * ORD_LN_DLY_PK
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * ORD_LN_DLY_PK
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 耗用对象(0虚拟占用;1正式占用)
     * @return value
     */
    public String getUseObj() {
        return useObj;
    }

    /**
     * 耗用对象(0虚拟占用;1正式占用)
     * @param useObj value
     */
    public void setUseObj(String useObj) {
        this.useObj = useObj;
    }

    /**
     * 耗用方式(-消耗/+释放)
     * @return value
     */
    public String getUseType() {
        return useType;
    }

    /**
     * 耗用方式(-消耗/+释放)
     * @param useType value
     */
    public void setUseType(String useType) {
        this.useType = useType;
    }

    /**
     * 耗用量(消耗为正数;释放为负数)
     * @return value
     */
    public String getUseWgt() {
        return useWgt;
    }

    /**
     * 耗用量(消耗为正数;释放为负数)
     * @param useWgt value
     */
    public void setUseWgt(String useWgt) {
        this.useWgt = useWgt;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
}